Method: advertisers.channels.sites.create

  • This page details how to create a site within a channel using an HTTP POST request to a specific URL.

  • The request requires path parameters for the advertiser and channel IDs, which are essential for identifying the parent channel.

  • An optional query parameter for the partner ID can be included to identify the partner that owns the parent channel.

  • The request body must contain an instance of Site, and a successful response will return a newly created Site instance in the response body.

  • This operation requires the https://www.googleapis.com/auth/display-video OAuth scope for authorization.

Creates a site in a channel.

HTTP request

POST https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/channels/{channelId}/sites

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
channelId

string (int64 format)

Required. The ID of the parent channel in which the site will be created.

advertiserId

string (int64 format)

The ID of the advertiser that owns the parent channel.

Query parameters

Parameters
partnerId

string (int64 format)

The ID of the partner that owns the parent channel.

Request body

The request body contains an instance of Site.

Response body

If successful, the response body contains a newly created instance of Site.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.